$Id$
-------------------------------------------------------------------

     =========================================================
     Geant4 - an Object-Oriented Toolkit for Simulation in HEP
     =========================================================

     Hadronic physics-list/constructors/hadron_elastic History
     ---------------------------------------------------------
This file should be used  to briefly summarize all major modifications 
introduced in the code and keeptrack of all tags.

     ----------------------------------------------------------
     * Reverse chronological order (last date on top), please *
     ----------------------------------------------------------

10-Nov-2017, T. Koi         (phys-ctor-helastic-V10-03-04)
-Dumpping LEND target information in G4HadronElasticPhysicsLEND

7-Nov-2017, T. Koi         (phys-ctor-helastic-V10-03-03)
- G4HadronElasticPhysicsLEND: Modify setting of selection of target data

19-Oct-2017, A. Ribon         (phys-ctor-helastic-V10-03-02)
- G4HadronHElasticPhysics : use G4NuclNuclDiffuseElastic for the elastic
  scattering of light and generic ions (this is possible now because
  the latest version of G4NuclNuclDiffuseElastic respects reproducibility).

14-Aug-2017, A. Ribon         (phys-ctor-helastic-V10-03-01)
- G4HadronElasticPhysics, G4HadronHElasticPhysics : changed kaon elastic 
  cross sections from, respectively, Gheisha (used in G4HadronElasticPhysics)
  and Chips (used in G4HadronHElasticPhysics), to Grichine's Glauber Gribov
  ones. In this way, the total (elastic + inelastic) kaon cross sections
  are consistent with the PDG ones. 
  Notes:
  - For the time being, kept the original elastic final-state model
    (i.e. Gheisha in G4HadronElasticPhysics and Chips in
    G4HadronHElasticPhysics).
  - These two changes should be used also for the next patch of G4 10.3
    (i.e. for 10.3.p03 : the two files G4HadronElasticPhysics.cc and
    G4HadronHElasticPhysics.cc can be taken directly).

04-May-2017, V.Ivanchenko     (phys-ctor-helastic-V10-03-00)
- G4ThermalNeutrons - new class for addition of thermal neutron
    scattering below 4 eV (backported from CMS simulation)

04-Nov-2016, Alberto Ribon    (phys-ctor-helastic-V10-02-04)
- Written first draft of the README
	 
16-October-2016 M.Maire  (phys-ctor-helastic-V10-02-03)
- add README

12-October-2016 G.Folger  (phys-ctor-helastic-V10-02-02)
- replace direct use of aParticleIterator by GetParticleIterator().
  fix required by clang39 on Windows and MAC

26-May-2016, A. Ribon         (phys-ctor-helastic-V10-02-01)
- G4HadronElasticPhysicsPHP : made it thread-safe.

23-Feb-2016, A. Ribon         (phys-ctor-helastic-V10-02-00)
- G4HadronElasticPhysics : added missing hadron elastic for He3,
  using Glauber-Gribov elastic cross section (Gheisha does not have
  hadronic (elastic and inelastic) cross sections for He3).
  Thanks ALICE for spotting this.

05-Nov-2015, A. Ribon         (phys-ctor-helastic-V10-01-05)
- Removed neutron_hp/

03-Nov-2015, A. Ribon         (phys-ctor-helastic-V10-01-04)
- G4HadronElasticPhysicsHP : migrated to ParticleHP

27-Oct-2015, A. Ribon         (phys-ctor-helastic-V10-01-03)
- G4IonElasticPhysics: replaced the old class G4GlauberGribovCrossSection
  with the new, recommended one G4ComponentGGHadronNucleusXsc

08-Jun-2015, V. Ivanchenko    (phys-ctor-helastic-V10-01-02)
- G4HadronHElasticPhysics - fixed Coverity report (memory leak at exit)

06-Apr-2015, A. Dotti	      (phys-ctor-helastic-V10-01-01)
- Coverity fixes

09-Feb-2015, A. Ribon         (phys-ctor-helastic-V10-01-00)
- G4HadronElasticPhysics: replaced Chips neutron elastic cross section
  with NeutronElasticXS cross section.

24-Nov-2014, V. Ivanchenko    (phys-ctor-helastic-V10-00-09)
- G4HadronHElasticPhysics - corrected addition of low-mass
    diffraction

07-Nov-2014, P. Arce          (phys-ctor-helastic-V10-00-08)
- Add G4HadronElasticPhysicsPHP for particle_hp physics list

07-Nov-2014, V. Ivanchenko          (phys-ctor-helastic-V10-00-07)
- G4HadronHElasticPhysics V. Grichine removed G4LDsdChannel

15-Oct-2014, V. Ivanchenko          (phys-ctor-helastic-V10-00-06)
- G4HadronHElasticPhysics V. Grichine activates diffraction 
    dissociation process

01-Aug-2014, Alberto Ribon          (phys-ctor-helastic-V10-00-05)
- G4HadronHElasticPhysics: for proton, neutron, pion+ and pion-
  elastic scattering introduced the Chips model on Hydrogen, while
  kept G4DiffuseElastic for all other elements.

31-Jul-2014, Alberto Ribon          (phys-ctor-helastic-V10-00-04)
- G4HadronHElasticPhysics: to ensure reproducibility, use a different
  instance of G4DiffuseElastic for each particle type (p, n, pi+, pi-),
  and disable G4NuclNuclDiffuseElastic, using Gheisha elastic model
  for light ions (nothing else is available for heavy ions).

06-Jun-2014, Alberto Ribon          (phys-ctor-helastic-V10-00-03)
- G4HadronHElasticPhysics: use G4NuclNuclDiffuseElastic model
  (instead of the Gheisha-based G4HadronElastic) for all ions.

05-Jun-2014, Alberto Ribon          (phys-ctor-helastic-V10-00-02)
- G4HadronHElasticPhysics: improved version of elastic, used temporarily
  only in FTFP_BERT_TRV as playground before becoming the default in
  all physics lists.
    
04-Jun-2014, Gunter Folger          (phys-ctor-helastic-V10-00-01)
- Fix to previous tag. the previous tag badly screwed up code for 
   G4HadronInelastic. 

02-Jun-2014, Gunter Folger          (phys-ctor-helastic-V10-00-00)
- G4HadronElasticPhysics: Must not inline Get...() to static member data.
    (fails on Windows)
    
04-Nov-2013, Tatsumi Koi    		(phys-ctor-helastic-V09-06-06)
- Create G4IonElasticPhysics Elastic Scattering for GenericIon

22-Aug-2013, Vladimir Ivanchenko        (phys-ctor-helastic-V09-06-05)
- G4HadronDElasticPhysics - DiffuseElastic model active above 10 MeV,
    LHEP model - below 10.1 MeV 
- G4HadronHElasticPhysics - cleanup

08-Jun-2013, A. Dotti			(phys-ctor-helastic-V09-06-04)
- Bug fix for MT: wasActivated flag becomes TLS
- All private data member are now TLS if in doubt or transformed to 
    local variables

29-Mar-2013, Andrea Dotti		(phys-ctor-helastic-V09-06-03)
- Changes needed for MT: now G4VUserPhysicsList is a split class

27-Feb-2013, Vladimir Ivanchenko        (phys-ctor-helastic-V09-06-02)
- G4ChargeExchangePhysics - removed obsolete constructor and member of 
    the class to fixed warning from the clang compiler on MacOS

08-Feb-2013, Vladimir Ivanchenko        (phys-ctor-helastic-V09-06-01)
- GNUmakefile fixed - G4LIB_BUILD_EXPAT is added

10-Jan-2013, Gunter Folger              (phys-ctor-helastic-V09-06-00)
- new directory structure introduced. 
   constructors/hadron_elastic
